<!--
  @description: 开标大厅等待开标-有效投标人不足三家标段信息列表（开标前大厅查看）展开折叠列表
  @Modifier: haoFx
  @routerPath:
  @date: 2020/3/18-17:48
-->
<template>
  <div>
    <el-table
      :data="initList"
    >
      <el-table-column
        type="index"
        label="序号"
        width="60px"
        align="center"
      />
      <el-table-column
        header-align="center"
        label="标段名称"
        prop="packName"
        align="left"
        min-width="200"
      />
      <el-table-column
        label="标段编号"
        prop="packNo"
        align="center"
        min-width="110"
      />
      <el-table-column
        label="有效投标家次"
        prop="validBidderNumber"
        align="center"
        min-width="110"
      />
    </el-table>
    <div class="more">
      <span v-if="is_show" class="pointer" @click="viewMore('00')">
        收起更多（0）
        <i class="el-icon-arrow-up" />
      </span>
      <span v-else class="pointer" @click="viewMore('01')">
        展开更多（{{ moreLength }}）
        <i class="el-icon-arrow-down" />
      </span>
    </div>
  </div>
</template>

<script>
/* 接口*/
import { listOpeningTenderPackagePages } from '@api/bidding/bidOpening'
import { bidOpeningMixin } from '../mixins/bidOpeningMixin'
/* 公用参数 */
import { paging } from '@/assets/js/utils/index.js'

export default {
  name: 'ValidBidderList',
  mixins: [bidOpeningMixin],
  data() {
    return {
      is_show: false, // 不足三家标段信息展示状态
      validBidderPackInfoListAll: [], // 不足三家标段列表
      initList: [], // 不足三家标段列表默认展示的列表数据
      moreLength: 0, // 展开更多显示条数
      packageParams: {
        isSatisfyThreeBidder: '00', // 是否满足三家投标人 00 不满足三家 01 满足三家 null为全部
        // openStageType: '', // 00一次开标阶段(商务技术经济)，01非价格开标阶段(商务技术)，02价格开标阶段(经济)
        // stageIds: '', // 阶段id集合
        pageNo: 1,
        pageSize: 100
      }
    }
  },
  mounted() {
    this.loadData()
  },
  methods: {
    // 有效投标人不足三家标段信息列表（开标前大厅查看）
    loadData() {
      listOpeningTenderPackagePages(Object.assign(this.packageParams, this.openTypeStageIds)).then(response => {
        this.validBidderPackInfoListAll = response.data.records
        const paginationData = {
          pageNo: 1,
          pageSize: 5
        }
        this.pageData(paginationData)
      }).catch(() => {
      })
    },
    // 分页
    pageData(paginationData) {
      this.initList = paging({}, this.validBidderPackInfoListAll, paginationData)// 分页功能
      if (this.validBidderPackInfoListAll.length > 0 && this.initList.length > 0) {
        this.moreLength = this.validBidderPackInfoListAll.length - this.initList.length
      }
    },
    // 01展开/00收起更多
    viewMore(type) {
      const paginationData = {
        pageNo: 1,
        pageSize: 5
      }
      if (type === '00') {
        this.is_show = false
        this.pageData(paginationData)
      } else {
        this.is_show = true
        paginationData.pageNo = 1
        paginationData.pageSize = 100
        this.pageData(paginationData)
      }
    }
  }
}
</script>

<style scoped lang="less">
  @import "../index";
</style>
